Skip to content

Instantly share code, notes, and snippets.

@JAC-02
Created Sep 4, 2022
Embed
What would you like to do?
{
"cells": [
{
"cell_type": "code",
"execution_count": 1,
"metadata": {},
"outputs": [
{
"name": "stdout",
"output_type": "stream",
"text": [
"Requirement already satisfied: web3 in c:\\users\\pc\\anaconda3\\lib\\site-packages (5.30.0)\n",
"Requirement already satisfied: typing-extensions<5,>=3.7.4.1; python_version < \"3.8\" in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (4.3.0)\n",
"Requirement already satisfied: ipfshttpclient==0.8.0a2 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (0.8.0a2)\n",
"Requirement already satisfied: eth-account<0.6.0,>=0.5.7 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (0.5.9)\n",
"Requirement already satisfied: hexbytes<1.0.0,>=0.1.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (0.3.0)\n",
"Requirement already satisfied: requests<3.0.0,>=2.16.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (2.22.0)\n",
"Requirement already satisfied: aiohttp<4,>=3.7.4.post0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (3.8.1)\n",
"Requirement already satisfied: protobuf<4,>=3.10.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (3.19.1)\n",
"Requirement already satisfied: eth-rlp<0.3 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (0.2.1)\n",
"Requirement already satisfied: eth-typing<3.0.0,>=2.0.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (2.3.0)\n",
"Requirement already satisfied: jsonschema<5,>=3.2.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (3.2.0)\n",
"Requirement already satisfied: eth-hash[pycryptodome]<1.0.0,>=0.2.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (0.5.0)\n",
"Requirement already satisfied: lru-dict<2.0.0,>=1.1.6 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (1.1.8)\n",
"Requirement already satisfied: websockets<10,>=9.1 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (9.1)\n",
"Requirement already satisfied: pywin32>=223; platform_system == \"Windows\" in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (227)\n",
"Requirement already satisfied: eth-abi<3.0.0,>=2.0.0b6 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (2.2.0)\n",
"Requirement already satisfied: eth-utils<2.0.0,>=1.9.5 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from web3) (1.10.0)\n",
"Requirement already satisfied: multiaddr>=0.0.7 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from ipfshttpclient==0.8.0a2->web3) (0.0.9)\n",
"Requirement already satisfied: rlp<3,>=1.0.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from eth-account<0.6.0,>=0.5.7->web3) (2.0.1)\n",
"Requirement already satisfied: eth-keys<0.4.0,>=0.3.4 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from eth-account<0.6.0,>=0.5.7->web3) (0.3.4)\n",
"Requirement already satisfied: bitarray<3,>=1.2.1 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from eth-account<0.6.0,>=0.5.7->web3) (1.2.1)\n",
"Requirement already satisfied: eth-keyfile<0.6.0,>=0.5.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from eth-account<0.6.0,>=0.5.7->web3) (0.5.1)\n",
"Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from requests<3.0.0,>=2.16.0->web3) (1.25.8)\n",
"Requirement already satisfied: idna<2.9,>=2.5 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from requests<3.0.0,>=2.16.0->web3) (2.8)\n",
"Requirement already satisfied: chardet<3.1.0,>=3.0.2 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from requests<3.0.0,>=2.16.0->web3) (3.0.4)\n",
"Requirement already satisfied: certifi>=2017.4.17 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from requests<3.0.0,>=2.16.0->web3) (2019.11.28)\n",
"Requirement already satisfied: frozenlist>=1.1.1 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from aiohttp<4,>=3.7.4.post0->web3) (1.3.1)\n",
"Requirement already satisfied: multidict<7.0,>=4.5 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from aiohttp<4,>=3.7.4.post0->web3) (6.0.2)\n",
"Requirement already satisfied: attrs>=17.3.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from aiohttp<4,>=3.7.4.post0->web3) (19.3.0)\n",
"Requirement already satisfied: aiosignal>=1.1.2 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from aiohttp<4,>=3.7.4.post0->web3) (1.2.0)\n",
"Requirement already satisfied: asynctest==0.13.0; python_version < \"3.8\" in c:\\users\\pc\\anaconda3\\lib\\site-packages (from aiohttp<4,>=3.7.4.post0->web3) (0.13.0)\n",
"Requirement already satisfied: charset-normalizer<3.0,>=2.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from aiohttp<4,>=3.7.4.post0->web3) (2.1.1)\n",
"Requirement already satisfied: yarl<2.0,>=1.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from aiohttp<4,>=3.7.4.post0->web3) (1.8.1)\n",
"Requirement already satisfied: async-timeout<5.0,>=4.0.0a3 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from aiohttp<4,>=3.7.4.post0->web3) (4.0.2)\n",
"Requirement already satisfied: importlib-metadata; python_version < \"3.8\" in c:\\users\\pc\\anaconda3\\lib\\site-packages (from jsonschema<5,>=3.2.0->web3) (4.11.3)\n",
"Requirement already satisfied: setuptools in c:\\users\\pc\\anaconda3\\lib\\site-packages (from jsonschema<5,>=3.2.0->web3) (45.2.0.post20200210)\n",
"Requirement already satisfied: pyrsistent>=0.14.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from jsonschema<5,>=3.2.0->web3) (0.15.7)\n",
"Requirement already satisfied: six>=1.11.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from jsonschema<5,>=3.2.0->web3) (1.14.0)\n",
"Requirement already satisfied: pycryptodome<4,>=3.6.6; extra == \"pycryptodome\" in c:\\users\\pc\\anaconda3\\lib\\site-packages (from eth-hash[pycryptodome]<1.0.0,>=0.2.0->web3) (3.15.0)\n",
"Requirement already satisfied: parsimonious<0.9.0,>=0.8.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from eth-abi<3.0.0,>=2.0.0b6->web3) (0.8.1)\n",
"Requirement already satisfied: cytoolz<1.0.0,>=0.10.1; implementation_name == \"cpython\" in c:\\users\\pc\\anaconda3\\lib\\site-packages (from eth-utils<2.0.0,>=1.9.5->web3) (0.10.1)\n",
"Requirement already satisfied: netaddr in c:\\users\\pc\\anaconda3\\lib\\site-packages (from multiaddr>=0.0.7->ipfshttpclient==0.8.0a2->web3) (0.8.0)\n",
"Requirement already satisfied: base58 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from multiaddr>=0.0.7->ipfshttpclient==0.8.0a2->web3) (2.1.1)\n",
"Requirement already satisfied: varint in c:\\users\\pc\\anaconda3\\lib\\site-packages (from multiaddr>=0.0.7->ipfshttpclient==0.8.0a2->web3) (1.0.2)\n",
"Requirement already satisfied: zipp>=0.5 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from importlib-metadata; python_version < \"3.8\"->jsonschema<5,>=3.2.0->web3) (2.2.0)\n",
"Requirement already satisfied: toolz>=0.8.0 in c:\\users\\pc\\anaconda3\\lib\\site-packages (from cytoolz<1.0.0,>=0.10.1; implementation_name == \"cpython\"->eth-utils<2.0.0,>=1.9.5->web3) (0.10.0)\n"
]
}
],
"source": [
"! pip install web3"
]
},
{
"cell_type": "code",
"execution_count": 3,
"metadata": {},
"outputs": [],
"source": [
"from web3 import Web3"
]
},
{
"cell_type": "code",
"execution_count": 4,
"metadata": {},
"outputs": [
{
"data": {
"text/plain": [
"web3.main.Web3"
]
},
"execution_count": 4,
"metadata": {},
"output_type": "execute_result"
}
],
"source": [
"Web3"
]
},
{
"cell_type": "code",
"execution_count": null,
"metadata": {},
"outputs": [],
"source": []
}
],
"metadata": {
"kernelspec": {
"display_name": "Python 3",
"language": "python",
"name": "python3"
},
"language_info": {
"codemirror_mode": {
"name": "ipython",
"version": 3
},
"file_extension": ".py",
"mimetype": "text/x-python",
"name": "python",
"nbconvert_exporter": "python",
"pygments_lexer": "ipython3",
"version": "3.7.6"
}
},
"nbformat": 4,
"nbformat_minor": 4
}
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment